#include "stdafx.h"

#define NUM_STEPS 1000000000

int _tmain(int argc, _TCHAR* argv[])
  {
   double       x;
   double       pi;
   double       sum=0.0;
   double       step=1./NUM_STEPS;
   int          i;
   unsigned int msec=GetTickCount();
//---
   //#pragma omp parallel for private(x) reduction(+:sum)  //   OMP   
   for(i=0; i<NUM_STEPS; i++)
     {
      x=(i + .5)*step;
      sum=sum + 4.0/(1.+ x*x);
     }
   
   pi=sum*step;
   msec=GetTickCount()-msec;
//---
   printf("The value of PI is %15.12f in %u msec\n",pi,msec);
   return(0);
  }
